package com.huashe.park.common.animations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME) // 注解在运行时生效
@Target(ElementType.FIELD) // 仅用于字段
public @interface FixedLength {
    int value(); // 指定字段的固定字节长度

    byte paddingByte() default 0;
}